Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins
[Java] Class GrailsPluginManagerFactoryBean

    java.lang.Object
      org.codehaus.groovy.grails.plugins.GrailsPluginManagerFactoryBean

All Implemented Interfaces:
  FactoryBean

    public class GrailsPluginManagerFactoryBean

A factory bean for loading the GrailsPluginManager instance.

Authors:
  Graeme Rocher
  Chanwit Kaewkasi

Since:
  0.4

Method Summary
`void` | `afterPropertiesSet()`
`GrailsPluginManager` | `getObject()`
`java.lang.Class` | `getObjectType()`
`boolean` | `isSingleton()`
`void` | `setApplication(GrailsApplication application)` @param application the application to set
`void` | `setApplicationContext(ApplicationContext applicationContext)`
`void` | `setGrailsDescriptor(Resource grailsDescriptor)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### afterPropertiesSet

    public void afterPropertiesSet()

### getObject

    public GrailsPluginManager getObject()

### getObjectType

    public java.lang.Class getObjectType()

### isSingleton

    public boolean isSingleton()

### setApplication

    public void setApplication(GrailsApplication application)

  Parameters:
    `application` - the application to set

### setApplicationContext

    public void setApplicationContext(ApplicationContext applicationContext)

### setGrailsDescriptor

    public void setGrailsDescriptor(Resource grailsDescriptor)

Groovy Documentation